package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFX82Response {

    @Parameter(name = "ACCOUNT_NUMBER")
    String accountNumber();

    @Parameter(name = "CO")
    String co();

    @Parameter(name = "CONCACT_ADDRESA_DOC_KEY")
    Long concactAddresaDocKey();

    @Parameter(name = "CONCACT_ADDRESA_KEY")
    Long concactAddresaKey();

    @Parameter(name = "CONCACT_PHONE_KEY")
    Long concactPhoneKey();

    @Parameter(name = "CONTACT_ADDRESA_DOC_TYP")
    String contactAddresaDocTyp();

    @Parameter(name = "CONTACT_CO")
    String contactCo();

    @Parameter(name = "CONTACT_CP")
    String contactCp();

    @Parameter(name = "CONTACT_Obec")
    String cONTACTObec();

    @Parameter(name = "CONTACT_PSC")
    String contactPsc();

    @Parameter(name = "CONTACT_Telefon")
    String cONTACTTelefon();

    @Parameter(name = "CONTACT_Ulice")
    String cONTACTUlice();

    @Parameter(name = "CONTACT_Zeme")
    String cONTACTZeme();

    @Parameter(name = "CO_Zamestnavatele")
    String cOZamestnavatele();

    @Parameter(name = "CP")
    String cp();

    @Parameter(name = "CP_Zamestnavatele")
    String cPZamestnavatele();

    @Parameter(name = "CastkaPrvnihoCerpani")
    Double castkaPrvnihoCerpani();

    @Parameter(name = "CelkovaSplatnaCastka")
    Double celkovaSplatnaCastka();

    @Parameter(name = "CisloDruhehoDokladu")
    String cisloDruhehoDokladu();

    @Parameter(name = "CisloOP")
    String cisloOP();

    @Parameter(name = "CistyMesicniPrijem")
    Double cistyMesicniPrijem();

    @Parameter(name = "Data")
    java.util.List<MWFX82Data> data();

    @Parameter(name = "DatumNastehovaniOD")
    java.util.Date datumNastehovaniOD();

    @Parameter(name = "DatumPravidelnePlatby")
    Long datumPravidelnePlatby();

    @Parameter(name = "DruhBydleni")
    String druhBydleni();

    @Parameter(name = "DruhPojisteni")
    String druhPojisteni();

    @Parameter(name = "DruhyDoklad_Zeme")
    String druhyDokladZeme();

    @Parameter(name = "EMAIL_KEY")
    Long emailKey();

    @Parameter(name = "Email")
    String email();

    @Parameter(name = "FIRST_DOCUMENT_ID_KEY")
    Long firstDocumentIdKey();

    @Parameter(name = "FormLockStatus")
    String formLockStatus();

    @Parameter(name = "HrubyRocniPrijem")
    Double hrubyRocniPrijem();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "INST_PT_KEY")
    Long instPtKey();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "KodProduktu")
    String kodProduktu();

    @Parameter(name = "KodProduktuSales")
    String kodProduktuSales();

    @Parameter(name = "MOBILE_PHONE_KEY")
    Long mobilePhoneKey();

    @Parameter(name = "MesicniPlatbaPojisteni")
    Double mesicniPlatbaPojisteni();

    @Parameter(name = "MesicniPrijemDomacnosti")
    Double mesicniPrijemDomacnosti();

    @Parameter(name = "MesicniSplatka")
    Double mesicniSplatka();

    @Parameter(name = "Mesto")
    String mesto();

    @Parameter(name = "MistoNarozeni")
    String mistoNarozeni();

    @Parameter(name = "Mobile_Phone")
    String mobilePhone();

    @Parameter(name = "Nazev_Zamestnavatele")
    String nazevZamestnavatele();

    @Parameter(name = "Obec_Zamestnavatele")
    String obecZamestnavatele();

    @Parameter(name = "OdkladSplatek")
    Long odkladSplatek();

    @Parameter(name = "OstatniMesicniSplatky")
    Double ostatniMesicniSplatky();

    @Parameter(name = "OstatniZivotniNaklady")
    Double ostatniZivotniNaklady();

    @Parameter(name = "PERMANENT_ADDR_KEY")
    Long permanentAddrKey();

    @Parameter(name = "PERMANENT_PHONE_KEY")
    Long permanentPhoneKey();

    @Parameter(name = "PRODUCT_CANDIDATE_KEY")
    Long productCandidateKey();

    @Parameter(name = "PRODUCT_CANDIDATE_TYPE")
    String productCandidateType();

    @Parameter(name = "PSC")
    String psc();

    @Parameter(name = "PSC_Zamestnavatele")
    String pSCZamestnavatele();

    @Parameter(name = "PlatnostDruhehoDokladu")
    java.util.Date platnostDruhehoDokladu();

    @Parameter(name = "PlatnostOP")
    java.util.Date platnostOP();

    @Parameter(name = "PocetPrijmu")
    Long pocetPrijmu();

    @Parameter(name = "PocetSplatek")
    Long pocetSplatek();

    @Parameter(name = "PocetVyzivovanychOsob")
    Long pocetVyzivovanychOsob();

    @Parameter(name = "Poplatek_PoskytnutiUveru")
    Double poplatekPoskytnutiUveru();

    @Parameter(name = "Poplatek_PrichoziTransakce")
    Double poplatekPrichoziTransakce();

    @Parameter(name = "Poplatek_VedeniBU")
    Double poplatekVedeniBU();

    @Parameter(name = "Poplatek_VedeniUveru")
    Double poplatekVedeniUveru();

    @Parameter(name = "Povolani")
    String povolani();

    @Parameter(name = "PracovniPomer")
    String pracovniPomer();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "PrijmeniRodne")
    String prijmeniRodne();

    @Parameter(name = "Prijmy_Radek101")
    Double prijmyRadek101();

    @Parameter(name = "PrvniDoklad_Zeme")
    String prvniDokladZeme();

    @Parameter(name = "RC")
    String rc();

    @Parameter(name = "RPSN")
    Double rpsn();

    @Parameter(name = "Rezidence")
    Long rezidence();

    @Parameter(name = "RodinnyZavod")
    String rodinnyZavod();

    @Parameter(name = "RodinnyZavodPodil")
    Double rodinnyZavodPodil();

    @Parameter(name = "RodinyStav")
    String rodinyStav();

    @Parameter(name = "SECOND_DOCUMENT_ID_KEY")
    Long secondDocumentIdKey();

    @Parameter(name = "SrazkyZeMzdy")
    Double srazkyZeMzdy();

    @Parameter(name = "StatniPrislusnost")
    String statniPrislusnost();

    @Parameter(name = "Telefon")
    String telefon();

    @Parameter(name = "Telefon_MOBILE_Zamestnavatele")
    String telefonMOBILEZamestnavatele();

    @Parameter(name = "Telefon_Zamestnavatele")
    String telefonZamestnavatele();

    @Parameter(name = "TypDruhehoDokladu")
    String typDruhehoDokladu();

    @Parameter(name = "TypPrvnihoDokladu")
    String typPrvnihoDokladu();

    @Parameter(name = "TypSlevy")
    String typSlevy();

    @Parameter(name = "Ulice")
    String ulice();

    @Parameter(name = "Ulice_Zamestnavatele")
    String uliceZamestnavatele();

    @Parameter(name = "UrokovaSazba")
    Double urokovaSazba();

    @Parameter(name = "VydatKartuKUveru")
    String vydatKartuKUveru();

    @Parameter(name = "VysePosledniSplatky")
    Double vysePosledniSplatky();

    @Parameter(name = "VyseUveru")
    Double vyseUveru();

    @Parameter(name = "Vzdelani")
    String vzdelani();

    @Parameter(name = "WEB_Banner")
    String wEBBanner();

    @Parameter(name = "WEB_Partner_ID")
    String wEBPartnerID();

    @Parameter(name = "ZAMESTNAVATEL_ADDR_KEY")
    Long zamestnavatelAddrKey();

    @Parameter(name = "ZAMESTNAVATEL_MOBILE_PHONE_KEY")
    Long zamestnavatelMobilePhoneKey();

    @Parameter(name = "ZAMESTNAVATEL_PHONE_KEY")
    Long zamestnavatelPhoneKey();

    @Parameter(name = "ZakladDaneZaMinulyRok")
    Double zakladDaneZaMinulyRok();

    @Parameter(name = "ZamestnanDO")
    java.util.Date zamestnanDO();

    @Parameter(name = "ZamestnanOD")
    java.util.Date zamestnanOD();

    @Parameter(name = "ZdanovaciObdobi")
    Long zdanovaciObdobi();

    @Parameter(name = "Zeme")
    String zeme();

    @Parameter(name = "Zeme_Zamestnavatele")
    String zemeZamestnavatele();

    @Parameter(name = "ZuzeneSJM")
    String zuzeneSJM();

}